Subject: RE: Run Command When Service Down

From: William Schroeder <[email-masked]>
Date: Sun, 13 Apr 2014 15:49:19 -0000

Disregard, with some more time it occurred to me I could use the Method {} to accomplish my goal (including exact lengths of time and what service downs trigger the action).

Will Schroeder
Network Engineer
Phone: (818) 477-1128

From: William Schroeder
Sent: Sunday, April 13, 2014 15:37 PM
To: [email-masked]'
Subject: Run Command When Service Down

Is it possible to run a command when a service is down (preferably if it's been down for a certain period of time)? I understand that you can run a program to perform checks (like shown below), but is there a way to only run it if a service is down? I'm either having trouble finding a way to do it, or it's not possible directly from Argus.

Service Prog {
               # make sure no one deleted root from the passwd file
               command:       cat /etc/passwd
               expect:        ^root:
        }

Will